
pairs = [ ("a", 1),  ("b", 2),  ("c", 3) ]   # List of pairs

print(pairs)
print( type(pairs) )

myDict = { k: v   for  k,v in pairs }

print(myDict)
print( type(myDict) )

# 
# In general, you can use:  f(k,v): g(k,v)
#
myDict2 = { k+str(v): v*v   for  k,v in pairs }
print(myDict)

